DIPlib Documentation - ©1995-2009 Quantitative Imaging Group, Delft University of Technology.

# StringReplace

Replace the contents of one string with that of another

## SYNOPSIS

`#include "dip_string.h"`

dip_Error dip_StringReplace ( str1, str2, cstr )

## FUNCTION

Replaces the content of `str1` with `str2`. `str1` is increased in size if necessary. If `str2` is `0`, `cstr` is used instead.

## ARGUMENTS

Data type | Name | Description
`dip_String` | `str1` | Destination string
`dip_String` | `str2` | Source string
`char *` | `cstr` | Source string

## SEE ALSO

`StringAppend`, `StringCat`, `StringCompare`, `StringCompareCaseInsensitive`, `StringCopy`, `StringCrop`, `StringNew`, `UnderscoreSpaces`

DIPlib on-line documentation | Function reference | Global function index